Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
  • Need help?

    Create a theme in the appropriate section
    No need to write everything in the chat!
  • Sell or buy?

    Use the services of a guarantor
    We will make your transaction safe
  • Don't want a BAN?

    Please read our rules
    Don't disturb the order
  • Visit the market

    There you can sell or buy
    Everything related to game servers
  • 0
Dercas89

Этот сервер работает на неправильной версии серверного приложения!!!

Доброго времени суток) Столкнулся с проблемой сервера 1.0.4...захожу на свой сервер при полной прогрузки когда идет момент входа в игру пишет такое сообщение "Этот сервер работает на неправильной версии серверного приложения" Помогите...в чем причина данного сообщения?

Share this post


Link to post
Share on other sites

11 answers to this question

Recommended Posts

  • 0

http://s-platoon.ru/index.php?/topic/65-epoch-104/ - Обсуждение патча

А так:

С установкой там косяк небольшой. - Сервер работает с Visual C++ Redistributable Packages for Visual Studio 2013 x86.

Именно х86.В х86 и х64 версии есть одна либа - msvcp120.dll

Данная либа для х86 систем, лежит в Windows\system32\, а для х64 систем в Windows\sysWOW64\

Ессесно, при переустановке, визуалки, инсталлер ее не заменяет, и винда продолжает юзать х64 версию.

Так, что у кого была установлена х64 С++, надо качать отдельно данную
либу и закидывать ее ручками в папку sysWOW64. Заменяя x64 на x86
версию.

 

Ну а так - фикс для серверов вышел 1.0.4b, там с объявлением в секции private не все было гладко...

В остальном вроде норм.

Саму dll можно слить отсюда -

http://www.dll-files....shtml?msvcp120

Share this post


Link to post
Share on other sites

  • 0

Такая же проблема на версии сервера 1.0.5.1, замена длл не помогла

АААА, вот убейте меня. За эту неделю, да и за прошлую уже создавалось 3-4 темы с тем же вопросом. Ну загляните вы туда, что ж все ленивые то стали...

 

 

 

1. Установите все Visual C++ 2005,2008,2010,2012,2013 сначала x86 потом x64

2. Установите NetFramework 4.0

3. http://s-platoon.ru/...o-prilozheniia/

Share this post


Link to post
Share on other sites
  • 0

винду меняй,мне помогло!

И толк?! Тоже самое будет без VC+ т.к. это стандартный системный теперь драйвер/ПО.

Есть нормальное решение проблемы, а с вашим ответом пойдите и выкиньте ПК в окно. Только так я могу это охарактеризовать его.

Share this post


Link to post
Share on other sites
  • 0

И толк?! Тоже самое будет без VC+ т.к. это стандартный системный теперь драйвер/ПО.

Есть нормальное решение проблемы, а с вашим ответом пойдите и выкиньте ПК в окно. Только так я могу это охарактеризовать его.

Я на полном сьрьезе говорю!Я с этой проблемой мучился пол года.Сменил абсолютно другую винду,поставил библиотеку и все заработало.Просто так писать ничего не буду.

Share this post


Link to post
Share on other sites
  • 0

Тему 3-ю прочтите. Которую я приложил к ответу. Там бывает косяк с заменой разрядности у 2012 и 2013.

 

+ Антивирусы и другие защитные ПО могут блокировать доступ даже к таким файлам. Так что чистая ОС и старая ничем не отличается. Только кол-вом ПО установленного на ПК и изменений сделанных в системе из-за этого и проблемы были у вас.

Share this post


Link to post
Share on other sites
  • 0

Тему 3-ю прочтите. Которую я приложил к ответу. Там бывает косяк с заменой разрядности у 2012 и 2013.

 

+ Антивирусы и другие защитные ПО могут блокировать доступ даже к таким файлам. Так что чистая ОС и старая ничем не отличается. Только кол-вом ПО установленного на ПК и изменений сделанных в системе из-за этого и проблемы были у вас.

сделал всё что тут написано, не помогло, ошибка не выскакивает, а как админ зайти не могу, поставил на ultravds.

какие ещё варианты?

Share this post


Link to post
Share on other sites
  • 0

сделал всё что тут написано, не помогло, ошибка не выскакивает, а как админ зайти не могу, поставил на ultravds.

какие ещё варианты?

Установить все пакеты Visual C++ с 2008 по 2013 надо, а потом выполнить вот этот пункт, если не помогло.

P.S. Сначала ставим 2008 x86, потом x64 и так по увеличению годичности.

 

http://s-platoon.ru/index.php?/topic/83-etot-server-rabotaet-na-nepravilnoi-versii-se/?p=437

Share this post


Link to post
Share on other sites
  • 0

Установить все пакеты Visual C++ с 2008 по 2013 надо, а потом выполнить вот этот пункт, если не помогло.

P.S. Сначала ставим 2008 x86, потом x64 и так по увеличению годичности.

 

http://s-platoon.ru/index.php?/topic/83-etot-server-rabotaet-na-nepravilnoi-versii-se/?p=437

Спасибо помогло, вопрос на засыпку, не по теме, но очень актуальный для меня.

Вот поставил я на выделенный канал, но в стиме то один у меня профиль, и вылазиет сообщение о том что игра запущена на другой машине, можно как то привязать профиль на 2 машины, чтоб стим не ругался?

Share this post


Link to post
Share on other sites
  • 0

Спасибо помогло, вопрос на засыпку, не по теме, но очень актуальный для меня.

Вот поставил я на выделенный канал, но в стиме то один у меня профиль, и вылазиет сообщение о том что игра запущена на другой машине, можно как то привязать профиль на 2 машины, чтоб стим не ругался?

Неа, я отдельный акк использую всегда. 300р игра стоит не так уж и дорого.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...